use std::io;
use rand::Rng;

/// Copyright (c) 2022 Grosdidier
///
/// Permission est accordée, gratuitement, à toute personne obtenant une copie de ce logiciel et des fichiers de documentation associés (le «Logiciel»), de traiter le Logiciel sans restriction, y compris sans limitation les droits d'utiliser, de copier, de modifier, de fusionner, de publier, de distribuer, de sous-licencier et / ou de vendre des copies du Logiciel, et d'autoriser les personnes auxquelles le Logiciel est fourni à le faire, sous réserve des conditions suivantes :
///
/// L'avis de droit d'auteur ci-dessus et cet avis de permission doivent être inclus dans toutes copies ou parties substantielles du Logiciel.
///
/// LE LOGICIEL EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPRESSE OU IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE, D'ADÉQUATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LES AUTEURS NE SERONT RESPONSABLE DES USAGES DE LEUR UTILISATEURS.

fn get_user_input() -> u64 {
    let mut input_text = String::new();
    io::stdin()
        .read_line(&mut input_text)
        .expect("failed to read from stdin");

    let trimmed = input_text.trim().parse::<u64>().unwrap();
    return trimmed;
}

fn calculate() {
    let mut count:u64 = 1;
    let random_number:u64 = rand::thread_rng().gen_range(0..=10);
    println!("{}",random_number);
    while count<=10{
        let user_input_number = get_user_input();
        count=count+1;
        if random_number == user_input_number {println!("{}", "You win, congratulations!"); return; }
        else{
            println!("{}","Wrong number try again");
            if user_input_number > random_number {println!("{}","Try lower!") };
            if user_input_number < random_number {println!("{}","Try higher!") };
        }
    }
    if count>10 {println!("{}", "You lose, try again!"); }
}

fn main() {
    calculate();
}
